# additional annotations and labels to set on the user-created namespace
# e.g. set a nodeSelector:
# namespaceAnnotations:
#   openshift.io/node-selector: "node-role.kubernetes.io/standard="
namespaceAnnotations: {}
namespaceLabels: {}

# initial quota for a new project. See https://kubernetes.io/docs/tasks/administer-cluster/manage-resources/quota-memory-cpu-namespace/
# OKD: https://docs.okd.io/latest/applications/quotas/quotas-setting-per-project.html
# This will be copied to the `spec` for the new project's `ResourceQuota`.
quota: {}

# configures default requests and limits for pods.
# Cf. https://docs.okd.io/latest/nodes/clusters/nodes-cluster-limit-ranges.html#nodes-cluster-limit-ranges-about_nodes-cluster-limit-ranges
# and https://kubernetes.io/docs/concepts/policy/limit-range/
# This will be copied to the `spec.limits` of the new project's LimitRange resource
limits: []

# egressfirewall is used to prevent apps from accessing TN, even if Openshift nodes are allowed to access TN.
# This makes it possible to enable only specific applications to access the TN, by removing the egress firewall.
# Cf. https://gitlab.cern.ch/webservices/webframeworks-planning/-/issues/256
# OKD: https://docs.okd.io/latest/networking/openshift_sdn/configuring-egress-firewall.html#limitations-of-an-egress-firewall_openshift-sdn-egress-firewall
# This will be copied to the `spec` of the new project's EgressNetworkPolicy resource.
egressNetworkPolicy: {}

applicationRegistration:
    # if provided, we can generate a homePage for the applicationRegistration with the app portal
    # that points to the OKD project's management page.
    # This can include references to project template parameters!
    # e.g. https://mycluster.cern.ch/k8s/cluster/projects/${PROJECT_NAME}
    homePage: '' 
